import { Character } from "./Character";
import { MapName } from "./definitions/adventureland-data";
import { Entity } from "./Entity";
import { Player } from "./Player";
export declare class Tools {
    static calculateDamageRange(attacker: Entity | Player | Character, defender: Entity | Player | Character): [number, number];
    static distance(a: {
        x: number;
        y: number;
        map?: MapName;
    }, b: {
        x: number;
        y: number;
        map?: MapName;
    }): number;
}
