/// <reference types="socket.io-client" />
import { ServerData } from "./definitions/adventureland-server";
import { ServerRegion, ServerIdentifier } from "./definitions/adventureland";
import { GData2, MapName } from "./definitions/adventureland-data";
export declare class Observer {
    socket: SocketIOClient.Socket;
    G: GData2;
    protected serverRegion: ServerRegion;
    protected serverIdentifier: ServerIdentifier;
    protected map: MapName;
    protected x: number;
    protected y: number;
    constructor(serverData: ServerData, g: GData2, reconnect?: boolean);
    connect(): Promise<void>;
}
